Bug 122279 - Kernel source fails to compile with syntax error in hcd.c
Summary: Kernel source fails to compile with syntax error in hcd.c
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: rawhide
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-05-02 16:44 UTC by Gene Hall
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-15 01:11:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Gene Hall 2004-05-02 16:44:57 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040312

Description of problem:
When I use the provided kernel-2.6.5-i686.config and run make I get
the following error:

CC      drivers/usb/core/hcd.o
drivers/usb/core/hcd.c:129: error: syntax error before '>>' token
drivers/usb/core/hcd.c:129: error: initializer element is not constant
drivers/usb/core/hcd.c:129: error: (near initialization for
`usb2_rh_dev_descriptor[12]')
drivers/usb/core/hcd.c:129: error: syntax error before '>>' token
drivers/usb/core/hcd.c:129: error: initializer element is not constant
drivers/usb/core/hcd.c:129: error: (near initialization for
`usb2_rh_dev_descriptor[13]')
drivers/usb/core/hcd.c:152: error: syntax error before '>>' token
drivers/usb/core/hcd.c:152: error: initializer element is not constant
drivers/usb/core/hcd.c:152: error: (near initialization for
`usb11_rh_dev_descriptor[12]')
drivers/usb/core/hcd.c:152: error: syntax error before '>>' token
drivers/usb/core/hcd.c:152: error: initializer element is not constant
drivers/usb/core/hcd.c:152: error: (near initialization for
`usb11_rh_dev_descriptor[13]')
make[3]: *** [drivers/usb/core/hcd.o] Error 1
make[2]: *** [drivers/usb/core] Error 2
make[1]: *** [drivers/usb] Error 2
make: *** [drivers] Error 2


Version-Release number of selected component (if applicable):
2.6.5-1.327

How reproducible:
Always

Steps to Reproduce:
1. run "make menuconfig"
2.select configs/kernel-2.6.5-i686.config
3. exit menu
4. run "make bzImage" from prompt
    

Actual Results:  kernel compile errors out with syntex error in hcd module

Expected Results:  successfully compile

Additional info:


Note You need to log in before you can comment on or make changes to this bug.